/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.trace;

import java.io.IOException;
import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.Ignore;

/**
 *
 * @author ranides
 */
public class RuntimeExceptionsTest {
    
    public RuntimeExceptionsTest() {
    }

    @Ignore("verbose")
    @Test
    public void testStacktrace() {
        RuntimeExceptions mex = new RuntimeExceptions("unknown error");
        
        mex.addCause(new IOException(new RuntimeException("access denied")));
        
        mex.addCause(new IllegalStateException(new ThreadDeath()));
        
        mex.printStackTrace(System.out); 
        assertTrue(true);
    }
}
